# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
BuildRequires:  /usr/bin/groff /usr/bin/grops /usr/bin/ps2pdf13
%define fedora 18
%define _hardened_build 1
Name: ettercap
Version: 0.7.5.3
Release: alt1_2
Summary: Network traffic sniffer/analyser, NCURSES interface version
Group: Networking/WWW
License: GPLv2+
URL: http://ettercap.sourceforge.net
Source0: http://downloads.sourceforge.net/ettercap/ettercap-%{version}.tar.gz
#Source0: https://github.com/Ettercap/ettercap/archive/v%{version}.tar.gz
#Source0: ettercap-0.7.4.1-erc-c796e5.tar.bz2
Source1: ettercap.desktop
Source2: ettercap-README.fedora
# Permission from upstream to drop the silly modification restriction
Source3: ettercap_easter_egg_license.txt
#Patch4: ettercap-NG-0.7.3-mitm-loop.patch
#Patch5: ettercap-NG-0.7.3-selinux-fcntl.patch
# Remove the silly modification restriction
#Patch8: ettercap-NG-0.7.3-license-fix.patch
#Patch9: ettercap-0.7.4-CVE-2010-3843.patch
#Patch10: ettercap-0.7.5-dhcp-spoof.patch
#Patch11: ettercap-0.7.5.1-CVE-2013-0722.patch


BuildRequires: desktop-file-utils
BuildRequires: ImageMagick
BuildRequires: gtk2-devel
BuildRequires: ncurses-devel
BuildRequires: libssl-devel
BuildRequires: pcre-devel
BuildRequires: libtool
BuildRequires: bison
BuildRequires: flex
BuildRequires: ctest cmake
BuildRequires: libcurl-devel
BuildRequires: groff-base
#some requirements are available in fedora but not in stock epel
#build for epel requires libnet which is only available from rpmforge
%if 0%{?rhel}
BuildRequires: libnet
#epel 5
BuildRequires: libltdl7-devel
BuildRequires: libpcap-devel
%endif
%if 0%{?fedora}
BuildRequires: libpcap-devel
BuildRequires: libnet2-devel
BuildRequires: libltdl7-devel
%endif
Obsoletes: ettercap-plugins < 0.7.3-15
Provides: ettercap-plugins = %{version}-%{release}
Obsoletes: ettercap-common < 0.7.5
Provides: ettercap-common = %{version}-%{release}
Obsoletes: ettercap-gtk < 0.7.5
Provides: ettercap-gtk = %{version}-%{release}
Source44: import.info


%description
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 


%prep
%setup -q

#%patch4 -p0
#%patch5 -p0
#%patch8 -p1 -b .license
#%patch9 -p0
#%patch10 -p0
#%patch11 -p1

%build
mkdir build
pushd build
%{fedora_cmake} ../ -DINSTALL_PREFIX=/usr -DMAN_INSTALLDIR=%{_mandir} -DINSTALL_LIBDIR=%{_libdir}
make CFLAGS="$RPM_BUILD_FLAGS"

%install
mkdir -p  %{buildroot}%{_bindir}
pushd build
make install DESTDIR=%{buildroot}
make install man DESTDIR=%{buildroot}
#getting rid of libtool files potentially left behind when building plugins
rm -f %{buildroot}%{_libdir}/ettercap/*.la
mkdir -p %{buildroot}%{_docdir}
install -c -m 644 %{SOURCE2} %{buildroot}%{_docdir}
install -c -m 644 %{SOURCE3} %{buildroot}%{_docdir}
touch %{buildroot}%{_bindir}/ettercap

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 ../share/ettercap.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
rm -f ettercap*png


%files
%doc LICENSE AUTHORS CHANGELOG THANKS TODO* README doc/
%{_bindir}/etter*
%config(noreplace) %{_sysconfdir}/ettercap/
%{_docdir}/ettercap-README.fedora
%{_docdir}/ettercap_easter_egg_license.txt
%{_mandir}/man5/etter*
%{_mandir}/man8/etter*
%{_datadir}/ettercap/
%{_libdir}/ettercap/
%{_datadir}/applications/ettercap.desktop
%{_datadir}/icons/hicolor/32x32/apps/ettercap.png

%changelog
* Wed Feb 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.5.3-alt1_2
- update to new release by fcimport

* Fri Feb 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.5.3-alt1_1
- update to new release by fcimport

* Fri Jan 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.5.1-alt1_1
- update to new release by fcimport

* Sat Dec 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.5-alt1_3
- fc import

